- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Member Functions | Private Attributes | List of all members
libetonyek::IWORKTableRecorder Class Reference

`#include <IWORKTableRecorder.h>`

## Classes
struct | Impl

## Public Member Functions
| IWORKTableRecorder ()
void | replay (IWORKTable &table) const
void | setSize (unsigned columns, unsigned rows)
void | setHeaders (unsigned headerColumns, unsigned headerRows, unsigned footerRows)
void | setBandedRows (bool banded)
void | setRepeated (bool columns, bool rows)
void | setStyle (const IWORKStylePtr_t &style)
void | setSizes (const IWORKColumnSizes_t &columnSizes, const IWORKRowSizes_t &rowSizes)
void | setBorders (const IWORKGridLineList_t &verticalLines, const IWORKGridLineList_t &horizontalLines)
void | insertCell (unsigned column, unsigned row, const boost::optional< std::string > &value, const boost::shared_ptr< IWORKText > &content, unsigned columnSpan, unsigned rowSpan, const boost::optional< IWORKFormula > &formula, const IWORKStylePtr_t &style, IWORKCellType type)
void | insertCoveredCell (unsigned column, unsigned row)
void | setDefaultCellStyle (IWORKTable::CellType type, const IWORKStylePtr_t &style)
void | setDefaultLayoutStyle (IWORKTable::CellType type, const IWORKStylePtr_t &style)
void | setDefaultParagraphStyle (IWORKTable::CellType type, const IWORKStylePtr_t &style)

## Private Attributes
boost::shared_ptr< Impl > | m_impl

## Constructor & Destructor Documentation

libetonyek::IWORKTableRecorder::IWORKTableRecorder | ( |  | ) |

## Member Function Documentation

void libetonyek::IWORKTableRecorder::insertCell | ( | unsigned | column,
|  | unsigned | row,
|  | const boost::optional< std::string > & | value,
|  | const boost::shared_ptr< IWORKText > & | content,
|  | unsigned | columnSpan,
|  | unsigned | rowSpan,
|  | const boost::optional< IWORKFormula > & | formula,
|  | const IWORKStylePtr_t & | style,
|  | IWORKCellType | type
| ) |  |

void libetonyek::IWORKTableRecorder::insertCoveredCell | ( | unsigned | column,
|  | unsigned | row
| ) |  |

void libetonyek::IWORKTableRecorder::replay | ( | IWORKTable & | table | ) | const

void libetonyek::IWORKTableRecorder::setBandedRows | ( | bool | banded | ) |

void libetonyek::IWORKTableRecorder::setBorders | ( | const IWORKGridLineList_t & | verticalLines,
|  | const IWORKGridLineList_t & | horizontalLines
| ) |  |

void libetonyek::IWORKTableRecorder::setDefaultCellStyle | ( | IWORKTable::CellType | type,
|  | const IWORKStylePtr_t & | style
| ) |  |

void libetonyek::IWORKTableRecorder::setDefaultLayoutStyle | ( | IWORKTable::CellType | type,
|  | const IWORKStylePtr_t & | style
| ) |  |

void libetonyek::IWORKTableRecorder::setDefaultParagraphStyle | ( | IWORKTable::CellType | type,
|  | const IWORKStylePtr_t & | style
| ) |  |

void libetonyek::IWORKTableRecorder::setHeaders | ( | unsigned | headerColumns,
|  | unsigned | headerRows,
|  | unsigned | footerRows
| ) |  |

void libetonyek::IWORKTableRecorder::setRepeated | ( | bool | columns,
|  | bool | rows
| ) |  |

void libetonyek::IWORKTableRecorder::setSize | ( | unsigned | columns,
|  | unsigned | rows
| ) |  |

void libetonyek::IWORKTableRecorder::setSizes | ( | const IWORKColumnSizes_t & | columnSizes,
|  | const IWORKRowSizes_t & | rowSizes
| ) |  |

void libetonyek::IWORKTableRecorder::setStyle | ( | const IWORKStylePtr_t & | style | ) |

## Member Data Documentation

boost::shared_ptr<Impl> libetonyek::IWORKTableRecorder::m_impl
| private

Referenced by insertCell(), insertCoveredCell(), replay(), setBandedRows(), setBorders(), setDefaultCellStyle(), setDefaultLayoutStyle(), setDefaultParagraphStyle(), setHeaders(), setRepeated(), setSize(), setSizes(), and setStyle().

The documentation for this class was generated from the following files:

- IWORKTableRecorder.h
- IWORKTableRecorder.cpp